程序包 org.bukkit.configuration

# 类 ConfigurationOptions

java.lang.Object
org.bukkit.configuration.ConfigurationOptions

直接已知子类:
  `MemoryConfigurationOptions`

public class ConfigurationOptions extends Object
`Configuration` 的配置类.

原文: Various settings for controlling the input and output of a `Configuration`

- ## 构造器概要

  构造器
  限定符
  构造器
  说明
  `protected`
  `ConfigurationOptions(@NotNull Configuration configuration)`

- ## 方法概要

  修饰符和类型
  方法
  说明
  `@NotNull Configuration`
  `configuration()`
  返回关联这个配置的 `Configuration`.
  `boolean`
  `copyDefaults()`
  检查这个`Configuration` 是不是直接从缺省值 `Configuration` 那里复制过来的.
  `@NotNull ConfigurationOptions`
  `copyDefaults(boolean value)`
  如果这个`Configuration`从 它的默认`Configuration`那里直接 复制值, 就设为true.
  `char`
  `pathSeparator()`
  获取用于分离 `ConfigurationSection` 中路径的 char.
  `@NotNull ConfigurationOptions`
  `pathSeparator(char value)`
  设置用于分离 `ConfigurationSection` 中路径的 char.

  ### 从类继承的方法 java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## 构造器详细资料

  - ### ConfigurationOptions

    protected ConfigurationOptions(@NotNull @NotNull Configuration configuration)

- ## 方法详细资料

  - ### configuration

    @NotNull public @NotNull Configuration configuration()
    返回关联这个配置的 `Configuration`.

    原文: Returns the `Configuration` that this object is responsible for.

    返回:
      Parent configuration

  - ### pathSeparator

    public char pathSeparator()
    获取用于分离 `ConfigurationSection` 中路径的 char.

    这个char并不会影响数据的储存, 它只是路径的分隔符. 只会影响你在程序中怎样读取数据.默认为 '.'.

    原文: Gets the char that will be used to separate `ConfigurationSection`s

    This value does not affect how the `Configuration` is stored, only in how you access the data. The default value is '.'.

    返回:
      Path 路径分割符.

  - ### pathSeparator

    @NotNull public @NotNull ConfigurationOptions pathSeparator(char value)
    设置用于分离 `ConfigurationSection` 中路径的 char.

    这个 char 并不会影响数据的储存, 它只是路径的分隔符. 只会影响你在程序中怎样读取数据.默认为 '.'.

    原文: Sets the char that will be used to separate `ConfigurationSection`s.

    This value does not affect how the `Configuration` is stored, only in how you access the data. The default value is '.'.

    参数:
      `value` - Path 路径分割符.
    返回:
      返回 this .

  - ### copyDefaults

    public boolean copyDefaults()
    检查这个`Configuration` 是不是直接从缺省值 `Configuration` 那里复制过来的.

    如果为真, 表明这个列表中的值都是从缺省值 `Configuration` 中复制过来的.

    这个列表将被锁定. 并始终返回缺省值列表中的值. 可以看作是只读的缺省值列表.

    默认值是false.

    原文: Checks if the `Configuration` should copy values from its default `Configuration` directly.

    If this is true, all values in the default Configuration will be directly copied, making it impossible to distinguish between values that were set and values that are provided by default. As a result, `ConfigurationSection.contains(java.lang.String)` will always return the same value as `ConfigurationSection.isSet(java.lang.String)`. The default value is false.

    返回:
      Whether or not defaults are directly copied

  - ### copyDefaults

    @NotNull public @NotNull ConfigurationOptions copyDefaults(boolean value)
    如果这个`Configuration`从 它的默认`Configuration`那里直接 复制值, 就设为true.

    如果值为 true, 将直接从默认源中复制所有的值.

    机器翻译(使得不可能分别设置，默认情况下所提供的值的值和区分。?). 其结果`ConfigurationSection.contains(java.lang.String)`, 将始终返回相同的值`ConfigurationSection.isSet(java.lang.String)`.

    默认值是false.

    原文: Sets if the `Configuration` should copy values from its default `Configuration` directly.

    If this is true, all values in the default Configuration will be directly copied, making it impossible to distinguish between values that were set and values that are provided by default. As a result, `ConfigurationSection.contains(java.lang.String)` will always return the same value as `ConfigurationSection.isSet(java.lang.String)`. The default value is false.

    参数:
      `value` - Whether or not defaults are directly copied
    返回:
      返回 this